package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/9
 */
public class VipGroupStudentDto {

    @ApiModelProperty(value = "用户编号")
    private Integer id;

    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "课时总数")
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课时")
    private Integer currentClassTimes;

    private BigDecimal courseSalary;

    private BigDecimal balance;

    private BigDecimal allBalance;

    private Date applyDate;

    private Date refundDate;

    private Integer studentStatus;

    /** 线上课单价 */
    private java.math.BigDecimal onlineClassesUnitPrice;

    /** 线下课单价 */
    private java.math.BigDecimal offlineClassesUnitPrice;

    public BigDecimal getOnlineClassesUnitPrice() {
        return onlineClassesUnitPrice;
    }

    public void setOnlineClassesUnitPrice(BigDecimal onlineClassesUnitPrice) {
        this.onlineClassesUnitPrice = onlineClassesUnitPrice;
    }

    public BigDecimal getOfflineClassesUnitPrice() {
        return offlineClassesUnitPrice;
    }

    public void setOfflineClassesUnitPrice(BigDecimal offlineClassesUnitPrice) {
        this.offlineClassesUnitPrice = offlineClassesUnitPrice;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public BigDecimal getAllBalance() {
        return allBalance;
    }

    public void setAllBalance(BigDecimal allBalance) {
        this.allBalance = allBalance;
    }

    public Date getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(Date applyDate) {
        this.applyDate = applyDate;
    }

    public Date getRefundDate() {
        return refundDate;
    }

    public void setRefundDate(Date refundDate) {
        this.refundDate = refundDate;
    }

    public Integer getStudentStatus() {
        return studentStatus;
    }

    public void setStudentStatus(Integer studentStatus) {
        this.studentStatus = studentStatus;
    }

    public BigDecimal getCourseSalary() {
        return courseSalary;
    }

    public void setCourseSalary(BigDecimal courseSalary) {
        this.courseSalary = courseSalary;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }
}
